5

I'm trying to use Stackdriver Monitoring on an Ubuntu 18.04 VM on Google Compute Engine. It looks like 18.04 isn't supported yet, even though it's an LTS release.

I tried editing the install script to install the 16.04 version but it looks like that requires libcurl3 (and 18.04 installs libcurl4, plus the Google Compute Engine utilities for 18.04 require libcurl4).

How can I install the monitoring agent? Or if official support for 18.04 is coming, when?

3

The Stackdriver Monitoring agent currently does not support Ubuntu 18.04 LTS. Operating systems

There is no information at present as per when this version will be supported but there's seems to be currently a feature request to have this version added. Unfortunately, there's no ETA. as to when Stackdriver will support Ubuntu 18.04 LTS. You can follow any updates on the progress of this feature request on the Google official issue tracker page

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.